{
  myConfig,
  pkgs,
  ...
}: {
  programs.hyprland = {
    enable = true;
    # Use nixpkgs Hyprland for ABI compatibility with plugins
    withUWSM = true;
  };

  environment.systemPackages = [
    pkgs.hyprpicker
    pkgs.hyprlock
    pkgs.hypridle
    pkgs.hyprpaper
    pkgs.hyprsunset
    pkgs.hyprpolkitagent
  ];

  xdg.terminal-exec = {
    enable = true;
    settings = {
      default = ["${myConfig.terminal.default}"];
    };
  };
}